dnl Process this file with autoconf to produce a configure script.
AC_INIT(ligatex.l)

dnl We only want to use flex, not any other lex, because the files in this
dnl distribution are too big for non-flex lex implementations.
AC_CHECK_PROG(LEX, flex, flex, lose)
if test $ac_cv_prog_LEX = lose; then
	echo flex not found
	exit 1
fi

dnl Checks for programs.
AC_PROG_INSTALL
AC_PROG_CC

dnl Checks for libraries.

AC_CHECK_LIB(l, main)

dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(unistd.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

dnl Checks for library functions.

AC_OUTPUT(Makefile)
